rem Rubyの実行のbat
rem run.bat
@rem 内容が古くなっているかもしれないので
@rem その場合は修正して使用して下さい
@rem パスが通っている場合

@echo off
title Rubyの実行

if /i "%~1" == "" (
	echo パラメータが無いので終了します。
	goto end
) else (
	if /i "%~x1" == ".rb" (
		goto run
	) else (
		echo Rubyのスクリプトファイルではありません。終了します。
		goto end
	)
)


:run
echo Rubyスクリプト実行
echo.

echo ruby %~nx1
echo.

%~d1
cd "%~p1"

echo #### 開始 ####
ruby "%~nx1"
echo.
echo #### 終了 ####


:end
echo.
echo.
pause
exit
@rem このスクリプトは著作権者のtytyさんの意向で
@rem NYSLとしています
@rem NYSL Version 0.9982